Release Notes for PICSTART(R) Plus Development Programmer
Firmware Version 2.30
Software DLL Version 2.40
March 7, 2001

-----------------------------------------------------------------
Table of Contents
-----------------------------------------------------------------
* Device Support List
* Operating System Support List
* Programming Specifications
* What's New in v2.30
* What's New in v2.20 (Software DLL)
* What's New in v2.10 (Software DLL)
* Repairs and Enhancements Made in Prior Releases
* Important Notes
* Programming PIC18C658/858 Devices

-----------------------------------------------------------
Device Support List
-----------------------------------------------------------
PIC12C508(1)   PIC12C508A(1)  PIC12C509(1)   PIC12C509A(1)  
PIC12CE518(1)  PIC12CE519(1)  PIC12C671(2)   PIC12C672(2)   
PIC12CE673(2)  PIC12CE674(2)  PIC14000       PIC16C505(1)   
PIC16C52       PIC16C54       PIC16C54A      PIC16C54B      
PIC16C54C(3)   PIC16HV540     PIC16C55       PIC16C55A(3)   
PIC16C554      PIC16C558      PIC16C56       PIC16C56A      
PIC16C57       PIC16C57C(3)   PIC16C58A      PIC16C58B      
PIC16C61       PIC16C62       PIC16C62A      PIC16C62B      
PIC16C620      PIC16C620A     PIC16C621      PIC16C621A     
PIC16C622      PIC16C622A     PIC16CE623     PIC16CE624     
PIC16CE625     PIC16F627(4)   PIC16F628(4)   PIC16C63       
PIC16C63A      PIC16C64       PIC16C64A      PIC16C642(1)   
PIC16C65       PIC16C65A      PIC16C65B      PIC16C66       
PIC16C662(1)   PIC16C67       PIC16C71       PIC16C710      
PIC16C711      PIC16C712(3)   PIC16C715(1)   PIC16C716(3)   
PIC16C717(4)   PIC16C72       PIC16C72A      PIC16C73       
PIC16F73(4)*   PIC16C73A      PIC16C73B      PIC16C74       
PIC16F74(4)*   PIC16C74A      PIC16C74B      PIC16C745(3)   
PIC16C76       PIC16F76(4)    PIC16C765(3)   PIC16C77       
PIC16F77(4)    PIC16C770(4)   PIC16C771(4)   PIC16C773      
PIC16C774      PIC16F83       PIC16C84       PIC16F84       
PIC16F84A      PIC16F870(3)   PIC16F871(3)   PIC16F872(3)   
PIC16F873(3)   PIC16F874(3)   PIC16F876(3)   PIC16F877(3)   
PIC16C923      PIC16C924      PIC16C925*     PIC16C926*      
PIC17C42       PIC17C42A      PIC17C43       PIC17C44       
PIC17C752      PIC17C756      PIC17C756A     PIC17C762      
PIC17C766      PIC18C242(3)   PIC18C252(3)   PIC18C442(3)   
PIC18C452(3)   PIC18C658(3)*! PIC18C858(3)*!   

All products are supported by firmware version 1.01 except as noted:

(1) - Firmware version 1.20 or greater required
(2) - Firmware version 1.50 or greater required
(3) - Firmware version 2.01 or greater required
(4) - Firmware version 2.30 or greater required

 *    Denotes added support
 !    See ETN #23 or the information in this readme for
      information on programming PIC18C658/858 devices.

-----------------------------------------------------------------
Operating System Support List
-----------------------------------------------------------------
Windows 3.1x   Windows 95     Windows 98     Windows NT
Windows 2000

-----------------------------------------------------------------
Programming Specifications
-----------------------------------------------------------------
This release conforms to the following revisions of Microchips
programming specifications:

PIC12C5XX:          DS30557E
PIC12C67X:          DS40175C
PIC14000:           DS30555B
PIC16C505:          DS30603A
PIC16C5X:           DS30190H
PIC16C55X:          DS30261C
PIC16C6X/7X/9XX:    DS30228K
PIC16C64X/66X:      DS30457A
PIC16F62X           DS30034B
PIC16C7XX:          DS30298B
PIC16C715:          DS30278B
PIC16C84:           DS30189E
PIC16F7X:           DS30324B
PIC16F8X:           DS30262C
PIC16F8XX:          DS39025D
PIC17CXX:           DS30139I
PIC17C7XX:          DS30274B
PIC18CXX:           DS39028D

-----------------------------------------------------------------
What's New in v2.30
-----------------------------------------------------------------
New firmware supporting PIC16F627/628, PIC16C717/770/771,
PIC16F76/77.  New device support for the PIC16C745/765.

-----------------------------------------------------------------
What's New in v2.20 (Software DLL)
-----------------------------------------------------------------
Fixed issue where the warning "Selecting a code protected state
may render a windowed part unerasable!" was incorrectly implemented
for PIC17CXXX devices.

-----------------------------------------------------------------
What's New in v2.10 (Software DLL)
-----------------------------------------------------------------
Fixed issue with calibration data not being saved properly.

-----------------------------------------------------------------
Repairs and Enhancements Made in Prior Releases
-----------------------------------------------------------------
v2.00.00 (Firmware)
Fixed issue that did not allow PIC16C57C or PIC16C54C to program.

v1.50.00 (Software DLL)
Fixed problem with PIC12Cxxx devices overwriting the cal value if
the device was not blank during a programming session.

v1.50.00 (Firmware)
New product support for PIC12C671, PIC12C672, PIC12CE673, PIC12CE674,
PIC12CE518, PIC16C63A, PIC16C65B, PIC16C73B, PIC16C74B.

Improve Communication between PICSTART Plus and PC. New Firmware
version 1.50.00 released and required for support of PIC12C671,
PIC12C672, PIC12CE673, PIC12CE674.

-----------------------------------------------------------------
Important Notes
-----------------------------------------------------------------

Users of PICSTART Plus firmware version 1.50 are strongly urged to
upgrade their firmware to the current release. Communications errors
can occur with firmware versions earlier than 1.50. We suggest you
contact your sales office to obtain an upgrade.

-----------------------------------------------------------------
Programming PIC18C658/858 Devices
-----------------------------------------------------------------
From ETN #23:

Problem: PIC18C658 and 18C858 devices cannot be programmed by the
PICSTART Plus because they do not match the PICSTART Plus socket.

Solution: To program the PIC18C658 and 18C858 devices using the 
PICSTART Plus programmer, you need to build an adapter that will
make the part look like the 40-pin PIC18CXXX devices. The device 
pins below should be attached to the PICSTART Plus as noted.

Note: You must connect all VDD/VSS lines on the PIC18C658/858, as 
all are needed to power the chip correctly.

PIN    PICSTART      PIC18C658         PIC18C658
         Plus      64-pin package    68-pin package
---    --------    --------------    --------------
VDD      11        10, 26, 38, 57    2, 20, 37, 49
VSS      12        9, 25, 41, 56     19, 36, 53, 68
MCLR     1               7                16
RB6      39              42               54
RB7      40              37               48


PIN    PICSTART      PIC18C858         PIC18C858
         Plus      80-pin package    84-pin package
---    --------    --------------    --------------
VDD      11        12, 32, 48, 71    2, 24, 45, 61
VSS      12        11, 31, 51, 70    23, 44, 65, 84
MCLR     1               9                20
RB6      39              52               66
RB7      40              47               60
