Release Notes for PRO MATE(R) II Device Programmer
Software DLL Version    v5.40
Firmware (Operating System) Versions
     PICmicro Devices   v5.40
     HCS Devices        v5.40
     Serial EE Devices  v5.40
March 7, 2001

-----------------------------------------------------------------
Table of Contents
-----------------------------------------------------------------
* Device Support List
* Operating System Support List
* Programming Specifications
* What's New in v5.40
* What's New in v5.30
* Known Problems
* Important Notes
* ICSP Device Support Switch Settings
* Socket Support

----------------------------------------------------------------------
Device Support List
----------------------------------------------------------------------
PICmicro MCU'S
--------------
PIC12C508      PIC12C508A     PIC12C509      PIC12C509A
PIC12CR509A    PIC12CE518     PIC12CE519     PIC12C671
PIC12C672      PIC12CE673     PIC12CE674     PIC14000
PIC16C505      PIC16C52       PIC16C54       PIC16CR54
PIC16C54A      PIC16CR54A     PIC16C54B      PIC16CR54B
PIC16C54C      PIC16CR54C     PIC16HV540     PIC16C55
PIC16C55A      PIC16C554      PIC16C558      PIC16C56
PIC16C56A      PIC16CR56A     PIC16C57       PIC16CR57A
PIC16CR57B     PIC16C57C      PIC16CR57C     PIC16C58A
PIC16CR58A     PIC16C58B      PIC16CR58B     PIC16C61
PIC16C62       PIC16CR62      PIC16C62A      PIC16C62B
PIC16C620      PIC16C620A     PIC16CR620A    PIC16C621
PIC16C621A     PIC16C622      PIC16C622A     PIC16CE623
PIC16CE624     PIC16CE625     PIC16F627      PIC16F628
PIC16C63       PIC16CR63      PIC16C63A      PIC16C64
PIC16CR64      PIC16C64A      PIC16C642      PIC16C65
PIC16CR65      PIC16C65A      PIC16C65B      PIC16C66
PIC16C662      PIC16C67       PIC16C71       PIC16C710
PIC16C711      PIC16C712      PIC16C715      PIC16C716
PIC16C717      PIC16C72       PIC16CR72      PIC16C72A
PIC16C73       PIC16F73*      PIC16C73A      PIC16C73B
PIC16C74       PIC16F74*      PIC16C74A      PIC16C74B
PIC16C745      PIC16C76       PIC16F76       PIC16C765
PIC16C77       PIC16F77       PIC16C770      PIC16C771
PIC16C773      PIC16C774      PIC16CR83      PIC16F83
PIC16C84       PIC16CR84      PIC16F84       PIC16F84A
PIC16F870      PIC16F871      PIC16F872      PIC16F873
PIC16F874      PIC16F876      PIC16F877      PIC16C923
PIC16C924      PIC16C925*     PIC16C926*     PIC17C42
PIC17CR42      PIC17C42A      PIC17C43       PIC17CR43
PIC17C44       PIC17C752      PIC17C756      PIC17C756A
PIC17C762      PIC17C766      PIC18C242      PIC18C252
PIC18C442      PIC18C452      PIC18C658      PIC18C858

-----------
SEE Devices
-----------
24AA00         24AA01         24AA02         24AA04
24AA08         24AA128        24AA16         24AA256
24AA32         24AA32A        24AA64         24AA65
24C00          24C01A         24C02A         24C04A
24C08B         24C16B         24C32          24C32A
24C65          24FC128        24FC16         24FC256
24FC32         24FC32A        24FC65         24LC00
24LC01B        24LC02B        24LC04B        24LC08B
24LC128        24LC16B        24LC256        24LC32
24LC32A        24LC64         24LC65         93AA46
93AA56         93AA66         93AA76         93AA86
93C06          93C46          93C56          93C66
93C76          93C86          93LC46         93LC46B
93LC56         93LC56B        93LC66         93LC66B
93LC76         93LC86

----------------------
HCS Devices - Encoders
----------------------
HCS101         HCS200         HCS201         HCS300
HCS301         HCS320         HCS360         HCS361
HCS410         HCS412

----------------------
HCS Devices - Decoders
----------------------
HCS500         HCS512         HCS515

* Indicates new part support in this release

Refer to SOCKET SUPPORT at the end of this file to see which
socket to use for each device.

-----------------------------------------------------------------
Operating System Support List
-----------------------------------------------------------------
Windows 3.1x   Windows 95     Windows 98     Windows NT
Windows 2000

----------------------------------------------------------------------
Programming Specifications
----------------------------------------------------------------------
This release conforms to the following revisions of Microchip's
programming specifications:

PIC12C5XX:          DS30557E
PIC12C67X:          DS40175C
PIC14000:           DS30555B
PIC16C505:          DS30603A
PIC16C5X:           DS30190H
PIC16C55X:          DS30261C
PIC16C6X/7X/9XX:    DS30228K
PIC16C64X/66X:      DS30457A
PIC16F62X           DS30034B
PIC16C7XX:          DS30298B
PIC16C715:          DS30278B
PIC16C84:           DS30189E
PIC16F7X:           DS30324B
PIC16F8X:           DS30262C
PIC16F8XX:          DS39025D
PIC17CXX:           DS30139I
PIC17C7XX:          DS30274B
PIC18CXX:           DS39028D

----------------------------------------------------------------------
What's New in v5.40
----------------------------------------------------------------------
Added device support.

The PRO MATE II dialog now available even if no PRO MATE II hardware
is present. Therefore, checksums and other programmer functions are now
available from MPLAB IDE.  Select the PRO MATE II programmer through
the Options> Programmer Options> Select Programmer menu option.  Then
select the menu item PRO MATE> Enable Programmer.  If the programmer
is not found, you will be asked if you would like to open the
programmer dialog.  If you click Yes, the dialog will be opened.
Please note that you will be prompted each time the software fails to
locate the device programmer, such as when changing the selected
device.  You may connect the PRO MATE II at any time and resume normal
operation.

----------------------------------------------------------------------
What's New in v5.30
----------------------------------------------------------------------
Added automatic oscillator tuning for all parts with osc.
tuning capabilities.

Added ICSP(tm) device support for most HCS devices.

----------------------------------------------------------------------
Repairs and Enhancements Made in v5.40
----------------------------------------------------------------------

SSR4263: Add the ability to calculate checksums without the device
programmer attached.

SSR15101: Periodic communications errors when transferring information
to the device programmer before a Program or Verify.

----------------------------------------------------------------------
Known Problems
----------------------------------------------------------------------
SSR 14890: SQTP does not function correctly for PIC18Cxxx devices.

----------------------------------------------------------------------
Important Notes
----------------------------------------------------------------------
If during a verify, there are more errors than expected, and those
errors claim that the bad data is all zeros (0000), the socket module
may not be seated properly.  Remove and reseat the socket module.
It is always a good practice to insert a known blank device and do a
blank check whenever the socket module is changed.

Program and Data Memory may be edited through the Window > Modify
menu item.

Safe Mode cannot be set from software; it must be set from the main
menu on the device programmer.

Do not power up the device programmer with a device in the socket.
This will often cause a pin driver failure during the hardware self
check. Remove the device and cycle power.

If a "Ready for Download" message appears on LCD at normal power-up,
the PRO MATE II operating system has been erased and must be reinstalled.
See your PRO MATE II User's Guide for instructions on upgrading the
PRO MATE II operating system.

There are several socket modules that support more than one device
family (PICmicro, HCS, SEE).  As such, it is currently possible to
select a device in MPLAB IDE that is compatible with the installed
socket module but not compatible with the installed PRO MATE II
operating system. In this case, MPLAB IDE will incorrectly behave
as if the selected device has been successfully installed at the
PRO MATE II. The solution to this problem is to ensure that the
correct PRO MATE II operating system has been downloaded to the
programmer before selecting a device in MPLAB IDE.

----------------------------------------------------------------------
ICSP Device Support Switch Settings
----------------------------------------------------------------------

The following list shows the dip switch settings for the
ICSP device socket module for each device type.

                       Switch
Device            1    2    3    4

18 Pin Midrange
part              Off  Off  On   On

20 Pin Midrange
part

28 Pin Midrange
part              Off  On   Off  Off

40 Pin Midrange
part              Off  On   Off  Off

PIC12Cxxx         On   Off  Off  On

PIC14000          Off  On   Off  On

PIC16C505         On   Off  Off  On

PIC16C92x         Off  On   On   Off

PIC17C75x         Off  Off  On   Off

PIC18Cxx2         Off  On   Off  Off

PIC18Cxx8         Off  Off  On   Off

HCS Encoders      Off  On   On   On

HCS Decoders      Off  Off  Off  On

----------------------------------------------------------------------
Socket Support
----------------------------------------------------------------------

The following lists the devices supported by each socket module, and
discusses the life expectancy and cleaning procedures for the different
socket types.

Currently supported devices and socket modules:

=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC12C508   8      AC124001  AC124001
PIC12C508A  8      AC124001  AC124001
PIC12C508A  8                AC164026(150mil)
PIC12C509   8      AC124001  AC124001
PIC12C509A  8      AC124001  AC124001
PIC12C509A  8                AC164026(150mil)
PIC12C671   8      AC124001  AC124001
PIC12C672   8      AC124001  AC124001
PIC12CE518  8      AC124001  AC124001
PIC12CE518  8                AC164026(150mil)
PIC12CE519  8      AC124001  AC124001
PIC12CE519  8                AC164026(150mil)
PIC12CE673  8      AC124001  AC124001
PIC12CE674  8      AC124001  AC124001
PIC12CR509A 8      AC124001  AC124001
PIC12CR509A 8                AC164026(150mil)
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC14000    28     AC144001  AC144002  AC144002
PIC16C52    18/20  AC164001  AC164002  AC164015
PIC16C54    18/20  AC164001  AC164002  AC164015
PIC16C54A   18/20  AC164001  AC164002  AC164015
PIC16C54B   18/20  AC164001  AC164002  AC164015
PIC16C54C   18/20  AC164001  AC164002  AC164015
PIC16C55    28     AC164001  AC164002  AC164015
PIC16C55A   28     AC164001  AC164002  AC164015
PIC16C56    18/20  AC164001  AC164002  AC164015
PIC16C56A   18/20  AC164001  AC164002  AC164015
PIC16C57    28     AC164001  AC164002  AC164015
PIC16C57C   28     AC164001  AC164002  AC164015
PIC16C58A   18/20  AC164001  AC164002  AC164015
PIC16C58B   18/20  AC164001  AC164002  AC164015
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC16CR54   18/20  AC164001  AC164002  AC164015
PIC16CR54A  18/20  AC164001  AC164002  AC164015
PIC16CR54B  18/20  AC164001  AC164002  AC164015
PIC16CR54C  18/20  AC164001  AC164002  AC164015
PIC16CR56A  18/20  AC164001  AC164002  AC164015
PIC16CR57A  28     AC164001  AC164002  AC164015
PIC16CR57B  28     AC164001  AC164002  AC164015
PIC16CR57C  28     AC164001  AC164002  AC164015
PIC16CR58A  18/20  AC164001  AC164002  AC164015
PIC16CR58B  18/20  AC164001  AC164002  AC164015
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC16C505   14     AC124001  AC164026
PIC16C554   18/20  AC164010  AC164010  AC164018
PIC16C558   18/20  AC164010  AC164010  AC164018
PIC16HV540  18     AC164001  AC164002  AC164015
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC16C61    18     AC164010  AC164010
PIC16C62    28     AC164012  AC164017  AC164021
PIC16C62A   28     AC164012  AC164017  AC164021
PIC16C62B   28     AC164012  AC164017  AC164021
PIC16C63    28     AC164012* AC164017
PIC16C63A   28     AC164012* AC164017
PIC16C64    40/44  AC164012                      AC164013  AC164014
PIC16C64A   40/44  AC164012                      AC164013            AC164020
PIC16C65    40/44  AC164012                      AC164013  AC164014
PIC16C65A   40/44  AC164012                      AC164013            AC164020
PIC16C65B   40/44  AC164012                      AC164013            AC164020
PIC16C66    28     AC164012                      AC164013  AC164014
PIC16C67    40/44  AC164012                      AC164013  AC164014
PIC16CR62   28     AC164012* AC164017  AC164021
PIC16CR63   28     AC164012* AC164017
PIC16CR64   40/44  AC164012                      AC164013  AC164014
PIC16CR65   40/44  AC164012                      AC164013  AC164014
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC16C620   18/20  AC164010  AC164010  AC164018
PIC16C620A  18/20  AC164010  AC164010  AC164018
PIC16C621   18/20  AC164010  AC164010  AC164018
PIC16C621A  18/20  AC164010  AC164010  AC164018
PIC16C622   18/20  AC164010  AC164010  AC164018
PIC16C622A  18/20  AC164010  AC164010  AC164018
PIC16C642   28     AC164012* AC164017
PIC16C662   40/44  AC164012                      AC164013            AC164020
PIC16CE623  18/20  AC164010  AC164010  AC164018
PIC16CE624  18/20  AC164010  AC164010  AC164018
PIC16CE625  18/20  AC164010  AC164010  AC164018
PIC16CR620A 18/20  AC164010  AC164010  AC164018
PIC16F627   18     AC164010  AC164010  AC164018
PIC16F628   18     AC164010  AC164010  AC164018
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC16C71    18     AC164010  AC164010
PIC16C72    28     AC164012* AC164017  AC164021
PIC16C72A   28     AC164012* AC164017  AC164021
PIC16C73    28     AC164012* AC164017
PIC16C73A   28     AC164012* AC164017
PIC16C73B   28     AC164012* AC164017  AC164021
PIC16C74    40/44  AC164012                      AC164013  AC164014
PIC16C74A   40/44  AC164012                      AC164013            AC164020
PIC16C74B   40/44  AC164012                      AC164013            AC164020
PIC16C76    28     AC164012* AC164017  AC164021
PIC16C77    40/44  AC164012                      AC164013  AC164014
PIC16CR72   28     AC164012* AC164017  AC164021
PIC16F76    28     AC164012  AC164012  AC164012
PIC16F77    40     AC164012                      AC164012            AC164012
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC16C710   18     AC164010  AC164010  AC164018
PIC16C711   18     AC164010  AC164010  AC164018
PIC16C712   18/20  AC164010  AC164010  AC164018
PIC16C715   18     AC164010  AC164010  AC164018
PIC16C716   18/20  AC164010  AC164010  AC164018
PIC16C717   18/20  AC164010  AC164010  AC164018
PIC16C745   28     AC164012  AC164017
PIC16C765   40/44  AC164012                      AC164013            AC164020
PIC16C770   20     AC164028  AC164028  AC164018
PIC16C771   20     AC164028  AC164028  AC164018
PIC16C773   28     AC164012  AC164017  AC164021
PIC16C774   40/44  AC164012                      AC164013            AC164020
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC16C84    18     AC164010  AC164010
PIC16F83    18     AC164010  AC164010
PIC16F84    18     AC164010  AC164010
PIC16F84A   18     AC164010  AC164010  AC164018
PIC16F870   28     AC164012  AC164017
PIC16F871   40/44  AC164012                      AC164013            AC164020
PIC16F872   28     AC164012  AC164017  AC164018
PIC16F873   28     AC164012  AC164017
PIC16F874   40/44  AC164012                      AC164013  AC164014
PIC16F876   28     AC164012  AC164017
PIC16F877   40/44  AC164012                      AC164013  AC164014
PIC16CR83   18     AC164010  AC164010
PIC16CR84   18     AC164010  AC164010
PIC16C923   64/68  AC164025                      AC164022            AC164023
PIC16C924   64/68  AC164025                      AC164022            AC164023
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC17C42    40/44  AC174001                      AC174002  AC174004
PIC17C42A   40/44  AC174001                      AC174002            AC174005
PIC17C43    40/44  AC174001                      AC174002            AC174005
PIC17C44    40/44  AC174001                      AC174002            AC174005
PIC17C752   64/68                                AC174007            AC174008
PIC17C756   64/68                                AC174007            AC174008
PIC17C756A  64/68                                AC174007            AC174008
PIC17C762   80/84                                AC174012            AC174011
PIC17C766   80/84                                AC174012            AC174011
PIC17CR42   40/44  AC174001                      AC174002  AC174004
PIC17CR43   40/44  AC174001                      AC174002            AC174005
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
PIC18C242   28     AC164012  AC164017
PIC18C252   28     AC164012  AC164017
PIC18C442   40/44  AC164012                      AC164013            AC164020
PIC18C452   40/44  AC164012                      AC164013            AC164020
PIC18C658   64/68                                AC174007            AC174008
PIC18C858   80/84                                AC174012            AC174011
=========================================================================
            Pin
Device      Count  DIP       SOIC      SSOP      PLCC      MQFP      TQFP
=========================================================================
24XXX       8      AC004001  AC004002
93XXX       8      AC004001  AC004002
HCS101      8      AC004001  AC004002
HCS2xx/3xx  8      AC004001  AC004002
HCS410      8      AC004001  AC004002
HCS412      8      AC004001  AC004002
HCS500      8      ICSP support only
HCS512      18     AC164001**
HCS515      14     ICSP support only

 *  When using a 28 pin device in a 40 pin socket,
    Align pin 1 to the pin 1 indicator (socket is top justified).
 ** No ICSP support at this time.
